Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.optionable
Interface OptionableExceptionHandler

All Known Implementing Classes:
  CinemaFileOptionableExceptionHandler

public interface OptionableExceptionHandler

OptionableExceptionHandler.java Created: Mon May 14 14:04:22 2001

Version:
  $Id: OptionableExceptionHandler.java,v 1.1 2001/05/14 17:08:18 lord Exp $
Author:
  Phillip Lord

Method Summary
`boolean` | `handleLoadException(ClassNotFoundException exp)` ClassNotFoundException can occur when reading data from the stream for a data type that does not exist.
`boolean` | `handleLoadException(Exception exp)` Handle an exception occurring during the loading of options.
`boolean` | `handleLoadException(IOException iop)` Signalled if some unknown IOException occurs
`boolean` | `handleLoadException(OptionableSourceNotFoundException osnfe)` If the optionable load file can not be found this error is signalled.
`boolean` | `handleSaveException(Exception exp)` If something nasty occurs whilst gather the optionable information occurs this is error is signalled.
`boolean` | `handleSaveException(IOException io)` If the save encounters IO problems!

Method Detail

### handleLoadException

    public boolean handleLoadException(Exception exp)

  Handle an exception occurring during the loading of options.

  Parameters:
    `exp` -
  Returns:
    true if the an attempt should be made to load the options again.

### handleLoadException

    public boolean handleLoadException(ClassNotFoundException exp)

  ClassNotFoundException can occur when reading data from the stream for a data type that does not exist. It won't normally occur.

  Parameters:
    `exp` -
  Returns:
    a `boolean` value

### handleLoadException

    public boolean handleLoadException(IOException iop)

  Signalled if some unknown IOException occurs

  Parameters:
    `iop` -
  Returns:
    a `boolean` value

### handleLoadException

    public boolean handleLoadException(OptionableSourceNotFoundException osnfe)

  If the optionable load file can not be found this error is signalled.

  Parameters:
    `osnfe` -
  Returns:
    a `boolean` value

### handleSaveException

    public boolean handleSaveException(Exception exp)

  If something nasty occurs whilst gather the optionable information occurs this is error is signalled.

  Parameters:
    `exp` -
  Returns:
    a `boolean` value

### handleSaveException

    public boolean handleSaveException(IOException io)

  If the save encounters IO problems!

  Parameters:
    `io` -
  Returns:
    a `boolean` value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD